# class Sass::Tree::TraceNode

A solely static node left over after a mixin include or @content has been performed. Its sole purpose is to wrap exceptions to add to the backtrace.

@see Sass::Tree

### Attributes

name[R]

The name of the trace entry to add.

@return [String]

### Public Class Methods

from_node(name, node) click to toggle source

Initializes this node from an existing node. @param name [String] The name of the trace entry to add. @param node [Node] The node to copy information from. @return [TraceNode]

    # File lib/sass/tree/trace_node.rb, line 25
    def self.from_node(name, node)
      trace = new(name)
      trace.line = node.line
      trace.filename = node.filename
      trace.options = node.options
      trace
    end

new(name) click to toggle source

@param name [String] The name of the trace entry to add.

Calls superclass method Sass::Tree::Node.new

    # File lib/sass/tree/trace_node.rb, line 15
    def initialize(name)
      @name = name
      self.has_children = true
      super()
    end